Bug 521753 - Typos & Context Clarification Required for Effective Translations
Summary: Typos & Context Clarification Required for Effective Translations
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: imsettings
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 07:12 UTC by Runa Bhattacharjee
Modified: 2013-03-04 02:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-08 12:29:31 UTC


Attachments (Terms of Use)
updated imsettings.pot (17.73 KB, text/plain)
2009-09-08 12:56 UTC, Akira TAGOH
no flags Details
imsettings.pot (17.59 KB, text/plain)
2009-09-09 14:39 UTC, Jens Petersen
no flags Details

Description Runa Bhattacharjee 2009-09-08 07:12:08 UTC
Description of problem:

Quite a few of the strings in the imsettings.po file available for translation for Fedora 12 contain typographical errors, and may need a rewrite to either correct their grammatical syntax or fully understand the reference to their context.

The .pot file is here:

https://translate.fedoraproject.org/projects/imsettings/trunk/

direct link:

https://translate.fedoraproject.org/projects/imsettings/trunk/raw/po/imsettings.pot


The strings are mentioned below along with their source reference:

----------------------------------------------
#: ../applet/imsettings-applet.schemas.in.h:3
msgid ""
"If false, all of informations will not delivered through libnotify, except "
"error and warning messages."

-----------------------------------------------

#: ../applet/imsettings-applet.schemas.in.h:7
msgid ""
"When this option is enabled, all of key events will be sent to Input Method "
"synchronously. This might affects a performance."
------------------------------------------------

#: ../applet/main.c:714
msgid ""
"When this option is enabled, all of key events will be sent to Input Method "
"synchronously. this might affects a performance."
------------------------------------------------

#: ../applet/main.c:990
#, c-format
msgid "Please %s%s"
-------------------------------------------------

#: ../backends/xim/proxy.c:2969
msgid "A XIM server name would connects to"
-------------------------------------------------

#: ../src/factory.c:1295
msgid "A directory where puts the system wide xinputrc on."
--------------------------------------------------

#: ../src/factory.c:1301
msgid "A directory where puts the IM configurations on."
---------------------------------------------------

#: ../src/factory.c:1408
msgid "A directory where puts the system-wide xinputrc puts on (debugging only)"
----------------------------------------------------

#: ../utils/imsettings-info.c:61 ../utils/imsettings-list.c:58
#: ../utils/imsettings-restart.c:84 ../utils/imsettings-start.c:85
#: ../utils/imsettings-stop.c:83
#, c-format
msgid ""
"Mismatch the version of imsettings.\n"
"Run imsettings-reload -f may resolves this issue but be aware that will ends "
"up to restart Input Method too\n"
------------------------------------------------------

Additional Info:

1. There are quite a few strings, where Capitalization was missed after a full-stop. 

2. Correcting this may break string freeze for Fedora - 12.

Thanks
Runa

Comment 1 Akira TAGOH 2009-09-08 08:05:27 UTC
Thanks for reporting. I'll have a look at this after Fedora 12 then.

Comment 2 Akira TAGOH 2009-09-08 12:56:56 UTC
Created attachment 360073 [details]
updated imsettings.pot

Sorry for misinterpretation. after the talk with Runa on IRC, I've updated strings. please have a look and comment on that. Thanks.

Comment 3 Runa Bhattacharjee 2009-09-09 04:11:34 UTC
Hello, I am not sure what kind of information has been requested from me with the NEEDINFO. Thanks.

Comment 4 Akira TAGOH 2009-09-09 04:19:38 UTC
just asking if the updated pot file is sufficient to fix the issue.

Comment 5 Jens Petersen 2009-09-09 14:39:26 UTC
Created attachment 360240 [details]
imsettings.pot

String improvements based on discussion with Tagoh-san.

I think Akira will commit these soon.

Comment 6 Akira TAGOH 2009-09-29 07:55:09 UTC
Fixed in imsettings-0.107.4-1.fc12.


Note You need to log in before you can comment on or make changes to this bug.